import '@kbx/ui/tokens.css'
import type { App } from 'vue'
import { kbxLookupRegistryKey } from '@kbx/ui'
import { lookupRegistry } from '../lookups/lookupRegistry'
import { installScreenRegistry } from '../registry/screens'

export function installKbx(app: App) {
  app.provide(kbxLookupRegistryKey, lookupRegistry)
  installScreenRegistry()
}
